%bcond_with tests

Name:		GeoIP
Version:	1.6.12
Release:    2%{?dist}
Summary:	Library for country/city/organization to IP address or hostname mapping
License:	LGPL-2.1-or-later
URL:		http://www.maxmind.com/app/c
Source0:	https://github.com/maxmind/geoip-api-c/releases/download/v%{version}/GeoIP-%{version}.tar.gz
BuildRequires:	coreutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	sed
BuildRequires:	zlib-devel
Requires:	GeoIP-data

Provides:	geoip = %{version}-%{release}

%description
GeoIP is a C library that enables the user to find the country that any IP
address or hostname originates from.

It uses file based databases that can optionally be updated on a weekly basis
by installing the geoipupdate-cron (IPv4) and/or geoipupdate-cron6 (IPv6)
packages.

%package devel
Summary:	Development headers and libraries for GeoIP
Requires:	%{name} = %{version}-%{release}
Provides:	geoip-devel = %{version}-%{release}

%description devel
Development headers and static libraries for building GeoIP-based applications.

%prep
%autosetup

%build
%configure --disable-static --disable-dependency-tracking

sed -i -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
	-e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} INSTALL="install -p" install

rm -f %{buildroot}%{_libdir}/*.la

%check
%{?with_tests:LD_LIBRARY_PATH=%{buildroot}%{_libdir} make check}


%files
%license COPYING LICENSE
%doc AUTHORS ChangeLog NEWS.md README.md
%{_bindir}/geoiplookup
%{_bindir}/geoiplookup6
%{_libdir}/libGeoIP.so.1
%{_libdir}/libGeoIP.so.1.*
%{_mandir}/man1/geoiplookup.1*
%{_mandir}/man1/geoiplookup6.1*

%files devel
%{_includedir}/GeoIP.h
%{_includedir}/GeoIPCity.h
%{_libdir}/libGeoIP.so
%{_libdir}/pkgconfig/geoip.pc

%changelog
* Mon Jul 22 2024 Xin Cheng <denisecheng@tencent.com> - 1.6.12-2
- [Type] bugfix
- [DESC] debrand

* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.12-1
- initial build
